Create client

Create a new client in the account.

POST
/v1/clients

Authorization

authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

Client params

TypeScript Definitions

Use the request body type in TypeScript.

Request schema for creating a client

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/clients" \  -H "Content-Type: application/json" \  -d '{    "email": "john.smith@tendermedical.com",    "first_name": "John",    "last_name": "Smith",    "locale": "en",    "metadata": {      "external_id": "123"    },    "phone": "+15551234567",    "reference_id": "your-reference-id",    "time_zone": "America/New_York"  }'
{  "data": {    "created_at": "2025-01-15T14:30:00Z",    "email": "jane.smith@example.com",    "first_name": "Jane",    "id": "clnt_a1b2c3d4e5f6",    "last_name": "Smith",    "locale": "en-US",    "metadata": {      "external_id": "123"    },    "object": "client",    "phone": "+15551234567",    "reference_id": "ext_12345",    "time_zone": "America/Chicago",    "updated_at": "2025-03-10T09:45:00Z"  }}